## boogie 2.4.1+dfsg

=== Source/Core/Makefile ===
COCO = Coco.exe

# ###############################################################################
# The frame files are no longer in this directory. They must be downloaded
# from https://github.com/boogie-org/boogie-partners . Update the FRAME_DIR variable to
# point to whatever directory you install that into.
# ###############################################################################
FRAME_DIR = ..\..\..\boogiepartners\CocoR\Modified

# "all" depends on 2 files, really (Parser.cs and Scanner.cs), but they
# are both generated in one go and I don't know a better way to tell
# nmake that.  --KRML
all: Parser.cs

Parser.cs: $(FRAME_DIR)\Scanner.frame $(FRAME_DIR)\Parser.frame BoogiePL.atg
	$(COCO) BoogiePL.atg -namespace Microsoft.Boogie -frames $(FRAME_DIR)

clean:
	if exist Scanner.cs del Scanner.cs
	if exist Parser.cs del Parser.cs

## boogie 2.3.0.61016%2Bdfsg%2B3.gbp1f2d6c1

=== debian/control ===
Source: boogie
Section: cli-mono
Priority: extra
Maintainer: Benjamin Barenblat <bbaren@mit.edu>
Build-Depends:
 debhelper (>= 9),
Build-Depends-Indep:
 cli-common-dev (>= 0.8),
 mono-devel (>= 2.4.2.3),
 mono-reference-assemblies-4.0,
 tzdata,
Standards-Version: 3.9.8
Homepage: http://research.microsoft.com/en-us/projects/boogie/
Vcs-Browser: https://benjamin.barenblat.name/gitweb/?p=debian-boogie.git
Vcs-Git: git://benjamin.barenblat.name/debian-boogie.git

Package: boogie
Architecture: all
Depends:
 libboogie-cil (= ${binary:Version}),
 mono-mcs,
 z3,
 ${cli:Depends},
 ${misc:Depends}
Suggests:
 libgtk2.0-0,
Description: verifiable programming language (compiler)
 Boogie is a compiler intermediate language with support for automatic invariant
 checking using an SMT solver such as Z3.  It supports program verification for
 a variety of other, higher-level languages, including Spec\#, C, Dafny, and
 Chalice.
 .
 This package contains the Boogie compiler, as well as bvd, the Boogie
 Verification Debugger.

Package: libboogie-cil
Architecture: all
Depends: ${cli:Depends}, ${misc:Depends}
Description: verifiable programming language (library)
 Boogie is a compiler intermediate language with support for automatic invariant
 checking using an SMT solver such as Z3.  It supports program verification for
 a variety of other, higher-level languages, including Spec\#, C, Dafny, and
 Chalice.
 .
 This package contains the Boogie library.

## boogie 2.3.0.61016+dfsg+2.gbp4108246

=== debian/changelog ===
boogie (2.3.0.61016+dfsg+2.gbp4108246-1) unstable; urgency=medium

  ** SNAPSHOT build @41082463d783d6f8d8a5aaf69bf459b57bca6000 **

  * New snapshot for Dafny 1.9.7.

 -- Benjamin Barenblat <bbaren@mit.edu>  Sun, 05 Jun 2016 16:02:41 -0400

boogie (2.3.0.61016+dfsg+1.gbp64e8b3-1) unstable; urgency=medium

  ** SNAPSHOT build @64e8b33656140b87137d0662d9e6835e004d13c2 **

  * Initial release.

 -- Benjamin Barenblat <bbaren@mit.edu>  Fri, 01 Apr 2016 16:18:08 -0400

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,8 @@
  cli-common-dev (>= 0.8),
  mono-devel (>= 2.4.2.3),
  mono-reference-assemblies-4.0,
- tzdata,
 Standards-Version: 3.9.8
 Homepage: http://research.microsoft.com/en-us/projects/boogie/
-Vcs-Browser: https://benjamin.barenblat.name/gitweb/?p=debian-boogie.git
-Vcs-Git: git://benjamin.barenblat.name/debian-boogie.git
 
 Package: boogie
 Architecture: all
@@ -22,8 +19,6 @@
  z3,
  ${cli:Depends},
  ${misc:Depends}
-Suggests:
- libgtk2.0-0,
 Description: verifiable programming language (compiler)
  Boogie is a compiler intermediate language with support for automatic invariant
  checking using an SMT solver such as Z3.  It supports program verification for

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with cli

.PHONY: override_dh_auto_build
override_dh_auto_build:
	xbuild Source/Boogie.sln

## boogie 2.3.0.61016+dfsg+3.gbp1f2d6c1

=== debian/changelog ===
boogie (2.3.0.61016+dfsg+3.gbp1f2d6c1-1) unstable; urgency=medium

  ** SNAPSHOT build @1f2d6c15cc587e9e1b91be70186ee9a26d5e1928 **

  * New snapshot for Dafny 1.9.8.
  * Build-Depend on tzdata (Closes: #839497).

 -- Benjamin Barenblat <bbaren@mit.edu>  Sat, 29 Oct 2016 21:52:24 -0400

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
-	xbuild Source/Boogie.sln
+	xbuild /p:TargetFrameworkVersion=v4.0 Source/Boogie.sln

=== debian/watch ===
# Upstream does not cut releases at this point – only Git snapshots.
# Consequently, constructing a suitable watch file is impossible.
#
#  -- Benjamin Barenblat <bbaren@mit.edu>  Tue 11 Aug 2015 19:27:24 -0400

## boogie 2.4.1+dfsg

=== debian/changelog ===
boogie (2.4.1+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Update debian/watch file.
  * Update debian/copyright:
    - New upstream license.
    - Relicense debian/* to match new upstream license (Expat)
      (see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=944876#20).
    - Exclude prebuilt Windows binary from the source tree.
  * Update licenses in debian/{boogie,bvd}.1.
  * Change Priority to optional in debian/control.
  * Upgrade to debhelper compat level 12.
  * Update build dependencies (Closes: #927171).
  * Upgrade to Standards-Version 4.4.1.
  * Fix debian/rules to make the new version build.
  * Enable autopkgtest package testing, and add mccarthy-{91,92} tests.
  * Update Vcs-Git and Vcs-Browser fields in debian/control.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Mon, 16 Dec 2019 14:25:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: boogie
 Section: cli-mono
-Priority: extra
+Priority: optional
 Maintainer: Benjamin Barenblat <bbaren@mit.edu>
-Build-Depends:
- debhelper (>= 9),
-Build-Depends-Indep:
- cli-common-dev (>= 0.8),
- mono-devel (>= 2.4.2.3),
- mono-reference-assemblies-4.0,
-Standards-Version: 3.9.8
+Build-Depends: debhelper-compat (= 12),
+               cli-common-dev,
+               mono-devel,
+               tzdata
+Standards-Version: 4.4.1
 Homepage: http://research.microsoft.com/en-us/projects/boogie/
+Vcs-Browser: https://salsa.debian.org/debian/boogie
+Vcs-Git: https://salsa.debian.org/debian/boogie.git
 
 Package: boogie
 Architecture: all
@@ -19,6 +19,8 @@
  z3,
  ${cli:Depends},
  ${misc:Depends}
+Suggests:
+ libgtk2.0-0,
 Description: verifiable programming language (compiler)
  Boogie is a compiler intermediate language with support for automatic invariant
  checking using an SMT solver such as Z3.  It supports program verification for

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode
# export DH_VERBOSE = 1

%:
	dh $@ --with cli

override_dh_auto_build:
	# Apparently, the Mono C# compiler does not support pattern
	# matching yet. The proper thing to do here would be to patch
	# Witnesses.cs, but unfortunately, dpkg-source fails
	# spectacularly when it comes to patching files with DOS
	# (CRLF) line endings. Therefore, we need to do a "manual
	# patch" here:
	sed -i 's/is null/== null/g' Source/Concurrency/Witnesses.cs
	xbuild /p:TargetFrameworkVersion=v4.0 Source/Boogie.sln
	sed -i 's/is null/== null/g' Source/Concurrency/Witnesses.cs

=== debian/tests/control ===
Tests: mccarthy-91 mccarthy-92
Depends: @

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,repack, \
    dversionmangle=auto, \
    filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%boogie-$1.tar.gz%" \
    https://github.com/boogie-org/boogie/releases \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
